/// <reference types="react" />
/// <reference types="react" />
declare const _default: {
    Checkbox: import("./Checkbox/Checkbox.types").CheckboxComponent & {
        components: {
            Label: import("styled-components").IStyledComponent<"web", {
                as?: any;
                className?: string | undefined;
                color?: "inherit" | ((t: import("../../theme/theme.types").Theme) => string | string[]) | undefined;
                id?: string | undefined;
                weight?: string | undefined;
                'aria-hidden'?: boolean | undefined;
                type?: import("../../Atoms/Typography/Typography.types").Types | undefined;
                lineHeight?: "inherit" | undefined;
                textAlign?: import("csstype").Property.TextAlign | undefined;
                whiteSpace?: ("pre" | "inherit" | "initial" | "revert" | "unset" | "normal" | "nowrap" | "break-spaces" | "pre-line" | "pre-wrap") | undefined;
                children: import("react").ReactNode;
            }> & import("react").FC<import("../../Atoms/Typography/Typography.types").Props>;
            CheckmarkBox: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>, {
                size: number;
                shape: import("./Checkbox/Checkbox.shape").Shape;
            }>> & import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>;
        };
        Shape: typeof import("./Checkbox/Checkbox.shape").Shape;
    };
    Text: import("react").ForwardRefExoticComponent<import("./Text/Text.types").Props & import("react").RefAttributes<HTMLInputElement>> & {
        components?: {
            Input: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
                [x: string]: any;
                [x: number]: any;
                [x: symbol]: any;
                ref?: import("react").Ref<HTMLInputElement> | undefined;
                key?: import("react").Key | null | undefined;
            }, Partial<import("./Text/Text.types").Props>>> & import("styled-components").IStyledComponent<"web", {
                [x: string]: any;
                [x: number]: any;
                [x: symbol]: any;
                ref?: import("react").Ref<HTMLInputElement> | undefined;
                key?: import("react").Key | null | undefined;
            }> & import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLInputElement>>;
            AddonBox: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>, {
                position?: "left" | "right" | undefined;
                variant?: import("./Text/Text.types").Variant | undefined;
            }>> & import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>;
        } | undefined;
    };
    Textarea: import("react").FC<import("./Textarea/Textarea.types").Props> & {
        components: {
            StyledTextarea: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<Omit<any, "ref"> & import("react").RefAttributes<HTMLTextAreaElement>, Pick<import("./Textarea/Textarea.types").Props, "disabled" | "error" | "success" | "noResize">>> & import("styled-components").IStyledComponent<"web", {
                [x: string]: any;
                [x: number]: any;
                [x: symbol]: any;
                ref?: import("react").Ref<HTMLTextAreaElement> | undefined;
                key?: import("react").Key | null | undefined;
            }> & import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLTextAreaElement>>;
        };
    };
    Number: import("react").FC<import("./Number/Number.types").Props> & {
        components: {
            AddonBox: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>, {
                position?: "left" | "right" | undefined;
                variant?: "normal" | "quiet" | undefined;
            }>> & import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>;
            Input: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
                [x: string]: any;
                [x: number]: any;
                [x: symbol]: any;
                ref?: import("react").Ref<HTMLInputElement> | undefined;
                key?: import("react").Key | null | undefined;
            }, Partial<import("./Number/Number.types").Props>>> & import("styled-components").IStyledComponent<"web", {
                [x: string]: any;
                [x: number]: any;
                [x: symbol]: any;
                ref?: import("react").Ref<HTMLInputElement> | undefined;
                key?: import("react").Key | null | undefined;
            }> & import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLInputElement>>;
            Stepper: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
                children?: import("react").ReactNode;
                key?: import("react").Key | null | undefined;
                defaultChecked?: boolean | undefined;
                defaultValue?: string | number | readonly string[] | undefined;
                suppressContentEditableWarning?: boolean | undefined;
                suppressHydrationWarning?: boolean | undefined;
                accessKey?: string | undefined;
                autoFocus?: boolean | undefined;
                className?: string | undefined;
                contentEditable?: (boolean | "true" | "false") | "inherit" | "plaintext-only" | undefined;
                contextMenu?: string | undefined;
                dir?: string | undefined;
                draggable?: (boolean | "true" | "false") | undefined;
                hidden?: boolean | undefined;
                id?: string | undefined;
                lang?: string | undefined;
                nonce?: string | undefined;
                placeholder?: string | undefined;
                slot?: string | undefined;
                spellCheck?: (boolean | "true" | "false") | undefined;
                style?: import("react").CSSProperties | undefined;
                tabIndex?: number | undefined;
                title?: string | undefined;
                translate?: "yes" | "no" | undefined;
                radioGroup?: string | undefined;
                role?: import("react").AriaRole | undefined;
                about?: string | undefined;
                content?: string | undefined;
                datatype?: string | undefined;
                inlist?: any;
                prefix?: string | undefined;
                property?: string | undefined;
                rel?: string | undefined;
                resource?: string | undefined;
                rev?: string | undefined;
                typeof?: string | undefined;
                vocab?: string | undefined;
                autoCapitalize?: string | undefined;
                autoCorrect?: string | undefined;
                autoSave?: string | undefined;
                color?: string | undefined;
                itemProp?: string | undefined;
                itemScope?: boolean | undefined;
                itemType?: string | undefined;
                itemID?: string | undefined;
                itemRef?: string | undefined;
                results?: number | undefined;
                security?: string | undefined;
                unselectable?: "on" | "off" | undefined;
                inputMode?: "text" | "search" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
                is?: string | undefined;
                "aria-activedescendant"?: string | undefined;
                "aria-atomic"?: (boolean | "true" | "false") | undefined;
                "aria-autocomplete"?: "list" | "none" | "inline" | "both" | undefined;
                "aria-braillelabel"?: string | undefined;
                "aria-brailleroledescription"?: string | undefined;
                "aria-busy"?: (boolean | "true" | "false") | undefined;
                "aria-checked"?: boolean | "true" | "false" | "mixed" | undefined;
                "aria-colcount"?: number | undefined;
                "aria-colindex"?: number | undefined;
                "aria-colindextext"?: string | undefined;
                "aria-colspan"?: number | undefined;
                "aria-controls"?: string | undefined;
                "aria-current"?: boolean | "time" | "step" | "true" | "false" | "page" | "location" | "date" | undefined;
                "aria-describedby"?: string | undefined;
                "aria-description"?: string | undefined;
                "aria-details"?: string | undefined;
                "aria-disabled"?: (boolean | "true" | "false") | undefined;
                "aria-dropeffect"?: "link" | "none" | "copy" | "execute" | "move" | "popup" | undefined;
                "aria-errormessage"?: string | undefined;
                "aria-expanded"?: (boolean | "true" | "false") | undefined;
                "aria-flowto"?: string | undefined;
                "aria-grabbed"?: (boolean | "true" | "false") | undefined;
                "aria-haspopup"?: boolean | "dialog" | "menu" | "true" | "false" | "grid" | "listbox" | "tree" | undefined;
                "aria-hidden"?: (boolean | "true" | "false") | undefined;
                "aria-invalid"?: boolean | "true" | "false" | "grammar" | "spelling" | undefined;
                "aria-keyshortcuts"?: string | undefined;
                "aria-label"?: string | undefined;
                "aria-labelledby"?: string | undefined;
                "aria-level"?: number | undefined;
                "aria-live"?: "off" | "assertive" | "polite" | undefined;
                "aria-modal"?: (boolean | "true" | "false") | undefined;
                "aria-multiline"?: (boolean | "true" | "false") | undefined;
                "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
                "aria-orientation"?: "horizontal" | "vertical" | undefined;
                "aria-owns"?: string | undefined;
                "aria-placeholder"?: string | undefined;
                "aria-posinset"?: number | undefined;
                "aria-pressed"?: boolean | "true" | "false" | "mixed" | undefined;
                "aria-readonly"?: (boolean | "true" | "false") | undefined;
                "aria-relevant"?: "text" | "all" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
                "aria-required"?: (boolean | "true" | "false") | undefined;
                "aria-roledescription"?: string | undefined;
                "aria-rowcount"?: number | undefined;
                "aria-rowindex"?: number | undefined;
                "aria-rowindextext"?: string | undefined;
                "aria-rowspan"?: number | undefined;
                "aria-selected"?: (boolean | "true" | "false") | undefined;
                "aria-setsize"?: number | undefined;
                "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined;
                "aria-valuemax"?: number | undefined;
                "aria-valuemin"?: number | undefined;
                "aria-valuenow"?: number | undefined;
                "aria-valuetext"?: string | undefined;
                dangerouslySetInnerHTML?: {
                    __html: string | TrustedHTML;
                } | undefined;
                onCopy?: import("react").ClipboardEventHandler<HTMLButtonElement> | undefined;
                onCopyCapture?: import("react").ClipboardEventHandler<HTMLButtonElement> | undefined;
                onCut?: import("react").ClipboardEventHandler<HTMLButtonElement> | undefined;
                onCutCapture?: import("react").ClipboardEventHandler<HTMLButtonElement> | undefined;
                onPaste?: import("react").ClipboardEventHandler<HTMLButtonElement> | undefined;
                onPasteCapture?: import("react").ClipboardEventHandler<HTMLButtonElement> | undefined;
                onCompositionEnd?: import("react").CompositionEventHandler<HTMLButtonElement> | undefined;
                onCompositionEndCapture?: import("react").CompositionEventHandler<HTMLButtonElement> | undefined;
                onCompositionStart?: import("react").CompositionEventHandler<HTMLButtonElement> | undefined;
                onCompositionStartCapture?: import("react").CompositionEventHandler<HTMLButtonElement> | undefined;
                onCompositionUpdate?: import("react").CompositionEventHandler<HTMLButtonElement> | undefined;
                onCompositionUpdateCapture?: import("react").CompositionEventHandler<HTMLButtonElement> | undefined;
                onFocus?: import("react").FocusEventHandler<HTMLButtonElement> | undefined;
                onFocusCapture?: import("react").FocusEventHandler<HTMLButtonElement> | undefined;
                onBlur?: import("react").FocusEventHandler<HTMLButtonElement> | undefined;
                onBlurCapture?: import("react").FocusEventHandler<HTMLButtonElement> | undefined;
                onChange?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onChangeCapture?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onBeforeInput?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onBeforeInputCapture?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onInput?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onInputCapture?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onReset?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onResetCapture?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onSubmit?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onSubmitCapture?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onInvalid?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onInvalidCapture?: import("react").FormEventHandler<HTMLButtonElement> | undefined;
                onLoad?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onLoadCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onError?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onErrorCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onKeyDown?: import("react").KeyboardEventHandler<HTMLButtonElement> | undefined;
                onKeyDownCapture?: import("react").KeyboardEventHandler<HTMLButtonElement> | undefined;
                onKeyPress?: import("react").KeyboardEventHandler<HTMLButtonElement> | undefined;
                onKeyPressCapture?: import("react").KeyboardEventHandler<HTMLButtonElement> | undefined;
                onKeyUp?: import("react").KeyboardEventHandler<HTMLButtonElement> | undefined;
                onKeyUpCapture?: import("react").KeyboardEventHandler<HTMLButtonElement> | undefined;
                onAbort?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onAbortCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onCanPlay?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onCanPlayCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onCanPlayThrough?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onCanPlayThroughCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onDurationChange?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onDurationChangeCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onEmptied?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onEmptiedCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onEncrypted?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onEncryptedCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onEnded?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onEndedCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onLoadedData?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onLoadedDataCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onLoadedMetadata?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onLoadedMetadataCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onLoadStart?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onLoadStartCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onPause?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onPauseCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onPlay?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onPlayCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onPlaying?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onPlayingCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onProgress?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onProgressCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onRateChange?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onRateChangeCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onResize?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onResizeCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onSeeked?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onSeekedCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onSeeking?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onSeekingCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onStalled?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onStalledCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onSuspend?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onSuspendCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onTimeUpdate?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onTimeUpdateCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onVolumeChange?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onVolumeChangeCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onWaiting?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onWaitingCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onAuxClick?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onAuxClickCapture?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onClick?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onClickCapture?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onContextMenu?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onContextMenuCapture?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onDoubleClick?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onDoubleClickCapture?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onDrag?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragCapture?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragEnd?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragEndCapture?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragEnter?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragEnterCapture?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragExit?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragExitCapture?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragLeave?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragLeaveCapture?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragOver?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragOverCapture?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragStart?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDragStartCapture?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDrop?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onDropCapture?: import("react").DragEventHandler<HTMLButtonElement> | undefined;
                onMouseDown?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseDownCapture?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseEnter?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseLeave?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseMove?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseMoveCapture?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseOut?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseOutCapture?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseOver?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseOverCapture?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseUp?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onMouseUpCapture?: import("react").MouseEventHandler<HTMLButtonElement> | undefined;
                onSelect?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onSelectCapture?: import("react").ReactEventHandler<HTMLButtonElement> | undefined;
                onTouchCancel?: import("react").TouchEventHandler<HTMLButtonElement> | undefined;
                onTouchCancelCapture?: import("react").TouchEventHandler<HTMLButtonElement> | undefined;
                onTouchEnd?: import("react").TouchEventHandler<HTMLButtonElement> | undefined;
                onTouchEndCapture?: import("react").TouchEventHandler<HTMLButtonElement> | undefined;
                onTouchMove?: import("react").TouchEventHandler<HTMLButtonElement> | undefined;
                onTouchMoveCapture?: import("react").TouchEventHandler<HTMLButtonElement> | undefined;
                onTouchStart?: import("react").TouchEventHandler<HTMLButtonElement> | undefined;
                onTouchStartCapture?: import("react").TouchEventHandler<HTMLButtonElement> | undefined;
                onPointerDown?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerDownCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerMove?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerMoveCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerUp?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerUpCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerCancel?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerCancelCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerEnter?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerEnterCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerLeave?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerLeaveCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerOver?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerOverCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerOut?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onPointerOutCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onGotPointerCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onGotPointerCaptureCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onLostPointerCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onLostPointerCaptureCapture?: import("react").PointerEventHandler<HTMLButtonElement> | undefined;
                onScroll?: import("react").UIEventHandler<HTMLButtonElement> | undefined;
                onScrollCapture?: import("react").UIEventHandler<HTMLButtonElement> | undefined;
                onWheel?: import("react").WheelEventHandler<HTMLButtonElement> | undefined;
                onWheelCapture?: import("react").WheelEventHandler<HTMLButtonElement> | undefined;
                onAnimationStart?: import("react").AnimationEventHandler<HTMLButtonElement> | undefined;
                onAnimationStartCapture?: import("react").AnimationEventHandler<HTMLButtonElement> | undefined;
                onAnimationEnd?: import("react").AnimationEventHandler<HTMLButtonElement> | undefined;
                onAnimationEndCapture?: import("react").AnimationEventHandler<HTMLButtonElement> | undefined;
                onAnimationIteration?: import("react").AnimationEventHandler<HTMLButtonElement> | undefined;
                onAnimationIterationCapture?: import("react").AnimationEventHandler<HTMLButtonElement> | undefined;
                onTransitionEnd?: import("react").TransitionEventHandler<HTMLButtonElement> | undefined;
                onTransitionEndCapture?: import("react").TransitionEventHandler<HTMLButtonElement> | undefined;
                form?: string | undefined;
                name?: string | undefined;
                type?: "button" | "reset" | "submit" | undefined;
                disabled?: boolean | undefined;
                formAction?: string | undefined;
                formEncType?: string | undefined;
                formMethod?: string | undefined;
                formNoValidate?: boolean | undefined;
                formTarget?: string | undefined;
                value?: string | number | readonly string[] | undefined;
                ref?: ((instance: HTMLButtonElement | null) => void) | import("react").RefObject<HTMLButtonElement> | null | undefined;
            }, Partial<import("./Number/Number.types").Props>>>;
            Wrapper: import("styled-components").IStyledComponent<"web", {
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                item?: boolean | undefined;
                order?: number | undefined;
                grow?: number | undefined;
                shrink?: number | undefined;
                basis?: string | undefined;
                flex?: string | undefined;
                align?: "auto" | "center" | "baseline" | "stretch" | "flex-end" | "flex-start" | undefined;
                alignSelf?: import("csstype").Property.AlignSelf | undefined;
                size?: string | number | undefined;
                width?: import("../../Atoms/Flexbox/Flexbox.types").Width | undefined;
                height?: import("../../Atoms/Flexbox/Flexbox.types").Height | undefined;
                as?: any;
                hidden?: boolean | undefined;
                role?: string | undefined;
                title?: string | undefined;
                children?: import("react").ReactNode;
                container?: boolean | undefined;
                direction?: "row" | "column" | "column-reverse" | "row-reverse" | undefined;
                wrap?: "wrap" | "nowrap" | "wrap-reverse" | undefined;
                gutter?: number | undefined;
                justifyContent?: "center" | "space-around" | "space-between" | "space-evenly" | "flex-end" | "flex-start" | undefined;
                alignItems?: "center" | "start" | "end" | "baseline" | "stretch" | "flex-end" | "flex-start" | "normal" | "self-end" | "self-start" | undefined;
                alignContent?: "center" | "start" | "end" | "baseline" | "space-around" | "space-between" | "space-evenly" | "stretch" | "flex-end" | "flex-start" | "normal" | "first baseline" | "last baseline" | undefined;
                gap?: string | number | {
                    column: number;
                    row: number;
                } | undefined;
                className?: string | undefined;
                ref?: import("react").Ref<HTMLDivElement> | undefined;
                key?: import("react").Key | null | undefined;
            }> & import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>;
        };
    };
    Select: {
        (props: import("./Select/Select.types").Props): import("react").JSX.Element;
        useSelectMachineFromContext: () => [import("xstate").State<import("./Select/machine").Context, import("xstate").AnyEventObject, any, any, import("xstate").ResolveTypegenMeta<import("xstate").TypegenDisabled, import("xstate").AnyEventObject, import("xstate").BaseActionObject, import("xstate").ServiceMap>>, (event: import("xstate").SCXML.Event<import("xstate").AnyEventObject> | import("xstate").SingleOrArray<import("xstate").Event<import("xstate").AnyEventObject>>, payload?: import("xstate").EventData | undefined) => import("xstate").State<import("./Select/machine").Context, import("xstate").AnyEventObject, any, any, import("xstate").ResolveTypegenMeta<import("xstate").TypegenDisabled, import("xstate").AnyEventObject, import("xstate").BaseActionObject, import("xstate").ServiceMap>>, import("xstate").Interpreter<import("./Select/machine").Context, any, import("xstate").AnyEventObject, any, import("xstate").ResolveTypegenMeta<import("xstate").TypegenDisabled, import("xstate").AnyEventObject, import("xstate").BaseActionObject, import("xstate").ServiceMap>>];
        ACTION_TYPES: {
            SYNC: string;
            OPEN: string;
            CLOSE: string;
            TOGGLE: string;
            FOCUS: string;
            BLUR: string;
            SELECT_FOCUSED_ITEM: string;
            SELECT_ITEM: string;
            DESELECT_ITEM: string;
            CHANGE_COMMIT: string;
            CHANGE_COMMIT_ABORT: string;
            ITEM_CLICK: string;
            SEARCH_QUERY_UPDATE: string;
            MOUSE_MOVE: string;
            KEY_PRESS: string;
            FOCUS_NEXT_ITEM: string;
            FOCUS_PREV_ITEM: string;
        };
        SYMBOL_ALL: typeof import("./Select/lib/constants").SYMBOL_ALL;
        defaults: {
            components: {
                ListItem: import("react").FC<{
                    index: number;
                }>;
                List: import("react").FC<{
                    listPosition?: string | undefined;
                    searchComponent?: import("react").ReactNode;
                    actionsComponent?: import("react").ReactNode;
                    maxHeight?: string | undefined;
                    noFormField?: boolean | undefined;
                    placement?: "top" | "bottom" | undefined;
                    itemsPerColumn?: number | undefined;
                    columnWidth?: string | undefined;
                    listWidth?: string | undefined;
                    invertedColors?: boolean | undefined;
                    children?: import("react").ReactNode;
                }>;
                ListFullScreen: ({ children, searchComponent, actionsComponent, }: {
                    searchComponent?: import("react").ReactNode;
                    actionsComponent?: import("react").ReactNode;
                    children?: import("react").ReactNode;
                }) => import("react").JSX.Element;
                Search: import("react").ForwardRefExoticComponent<{
                    'aria-activedescendant': string;
                    'data-testid': string;
                    hidden: boolean;
                    value: string;
                    onChange: import("react").ChangeEventHandler<Element>;
                    fullscreenOnMobile: boolean;
                } & import("react").RefAttributes<HTMLInputElement>>;
                SelectedValue: () => import("react").JSX.Element;
                Action: import("react").FC<{
                    isKeyboardNavigation: boolean;
                    focused: boolean;
                    label: string;
                    icon: import("react").ReactNode;
                    disabled?: boolean | undefined;
                }>;
            };
            componentsMultiselect: {
                ListItem: ({ index }: {
                    index: number;
                }) => import("react").JSX.Element | null;
                List: import("react").FC<{
                    listPosition?: string | undefined;
                    searchComponent?: import("react").ReactNode;
                    actionsComponent?: import("react").ReactNode;
                    maxHeight?: string | undefined;
                    noFormField?: boolean | undefined;
                    placement?: "top" | "bottom" | undefined;
                    itemsPerColumn?: number | undefined;
                    columnWidth?: string | undefined;
                    listWidth?: string | undefined;
                    invertedColors?: boolean | undefined;
                    children?: import("react").ReactNode;
                }>;
                ListFullScreen: ({ children, searchComponent, actionsComponent, }: {
                    searchComponent?: import("react").ReactNode;
                    actionsComponent?: import("react").ReactNode;
                    children?: import("react").ReactNode;
                }) => import("react").JSX.Element;
                Search: import("react").ForwardRefExoticComponent<{
                    'aria-activedescendant': string;
                    'data-testid': string;
                    hidden: boolean;
                    value: string;
                    onChange: import("react").ChangeEventHandler<Element>;
                    fullscreenOnMobile: boolean;
                } & import("react").RefAttributes<HTMLInputElement>>;
                SelectedValue: () => import("react").JSX.Element;
                Action: import("react").FC<{
                    isKeyboardNavigation: boolean;
                    focused: boolean;
                    label: string;
                    icon: import("react").ReactNode;
                    disabled?: boolean | undefined;
                }>;
            };
        };
    };
    Phone: import("react").ForwardRefExoticComponent<import("./Phone/Phone.types").Props & import("react").RefAttributes<HTMLInputElement>> & {
        components?: {
            StyledInput: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<Omit<any, "ref"> & import("react").RefAttributes<HTMLInputElement>, import("./Phone/Phone.types").InputProps>> & import("styled-components").IStyledComponent<"web", {
                [x: string]: any;
                [x: number]: any;
                [x: symbol]: any;
                ref?: import("react").Ref<HTMLInputElement> | undefined;
                key?: import("react").Key | null | undefined;
            }> & import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLInputElement>>;
        } | undefined;
    };
    Radio: import("./Radio/Radio.types").RadioComponent;
};
export default _default;
